https://bugs.gentoo.org/676692

'make install' actually installs 'getdefs', 'columns', 'autogen'
and gentoo's 'scanelf' QA checker tool detects it as:

 * QA Notice: The following files contain insecure RUNPATHs
 *  Please file a bug about this at https://bugs.gentoo.org/
 *  with the maintainer of the package.
 *   /tmp/portage/sys-devel/autogen-5.18.16/image/usr/bin/getdefs
 *     RPATH: /tmp/portage/sys-devel/autogen-5.18.16/work/autogen-5.18.16/autoopts/.libs
 *   /tmp/portage/sys-devel/autogen-5.18.16/image/usr/bin/columns
 *     RPATH: /tmp/portage/sys-devel/autogen-5.18.16/work/autogen-5.18.16/autoopts/.libs
 *   /tmp/portage/sys-devel/autogen-5.18.16/image/usr/bin/autogen
 *     RPATH: /tmp/portage/sys-devel/autogen-5.18.16/work/autogen-5.18.16/autoopts/.libs
--- a/agen5/Makefile.am
+++ b/agen5/Makefile.am
@@ -63,7 +63,7 @@ SNV_LIB         = $(top_builddir)/snprintfv/libsnprintfv.la
 nodist_autogen_SOURCES = ag.c
 autogen_SOURCES = $(gen_csrc)
 autogen_LDADD   = $(LO_LIB) $(SNV_LIB) $(GUILE_LIBS)
-autogen_LDFLAGS = $(DYNAMIC_AG) $(AG_STATIC_AUTOGEN) -no-install
+autogen_LDFLAGS = $(DYNAMIC_AG) $(AG_STATIC_AUTOGEN)
 autogen_CFLAGS  = $(GUILE_CFLAGS)
 stamp_script    = $(srcdir)/mk-stamps.sh

--- a/agen5/Makefile.in
+++ b/agen5/Makefile.in
@@ -482,7 +482,7 @@ SNV_LIB = $(top_builddir)/snprintfv/libsnprintfv.la
 nodist_autogen_SOURCES = ag.c
 autogen_SOURCES = $(gen_csrc)
 autogen_LDADD = $(LO_LIB) $(SNV_LIB) $(GUILE_LIBS)
-autogen_LDFLAGS = $(DYNAMIC_AG) $(AG_STATIC_AUTOGEN) -no-install
+autogen_LDFLAGS = $(DYNAMIC_AG) $(AG_STATIC_AUTOGEN)
 autogen_CFLAGS = $(GUILE_CFLAGS)
 stamp_script = $(srcdir)/mk-stamps.sh
 AM_YFLAGS = -d
--- a/columns/Makefile.am
+++ b/columns/Makefile.am
@@ -20,7 +20,7 @@
 ## with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 bin_PROGRAMS    = columns
-columns_LDFLAGS = -no-install
+#columns_LDFLAGS = -no-install
 csrc            = opts.h columns.c opts.c
 nodist_columns_SOURCES = cols.c
 
--- a/columns/Makefile.in
+++ b/columns/Makefile.in
@@ -389,7 +389,7 @@ target_vendor = @target_vendor@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-columns_LDFLAGS = -no-install
+#columns_LDFLAGS = -no-install
 csrc = opts.h columns.c opts.c
 nodist_columns_SOURCES = cols.c
 LO_LIB = $(top_builddir)/autoopts/libopts.la
--- a/getdefs/Makefile.am
+++ b/getdefs/Makefile.am
@@ -23,7 +23,7 @@
 TARG = getdefs
 
 bin_PROGRAMS    = getdefs
-getdefs_LDFLAGS = -no-install
+#getdefs_LDFLAGS = -no-install
 gdsrcs          = getdefs.h proto.h gdemit.c gdinit.c getdefs.c
 getdefs_SOURCES = proto.h
 BUILT_SOURCES   = gd.c
--- a/getdefs/Makefile.in
+++ b/getdefs/Makefile.in
@@ -434,7 +434,7 @@ top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 TARG = getdefs
-getdefs_LDFLAGS = -no-install
+#getdefs_LDFLAGS = -no-install
 gdsrcs = getdefs.h proto.h gdemit.c gdinit.c getdefs.c
 getdefs_SOURCES = proto.h
 BUILT_SOURCES = gd.c
